Name: jc
Summary: Serialize the output of CLI tools and file-types to structured JSON
License: MIT

Version: 1.25.0
Release:    1%{?dist}

URL: https://github.com/kellyjonbrazil/%{name}
Source0: %{URL}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(pygments) >= 2.4.2
BuildRequires: python3dist(ruamel-yaml) >= 0.15
BuildRequires: python3dist(xmltodict) >= 0.12

Requires: python3-%{name} = %{version}-%{release}


%description
JSON CLI output utility. JC is used to JSONify the output of many
command-line tools and file types for easier parsing in scripts.


%package -n python3-%{name}
Summary: Module for serializing output of CLI tools into JSON
BuildArch: noarch

%description -n python3-%{name}
Python module providing functions for parsing the output of command-line
tools and file types into structured JSON, for easier further processing.


%prep
%autosetup


%build
%py3_build


%install
%py3_install

install -m 755 -d %{buildroot}%{_mandir}/man1
install -m 644 -p man/jc.1 %{buildroot}%{_mandir}/man1/

COMPDIR="%{buildroot}%{_datadir}/bash-completion/completions"
install -m 755 -d "${COMPDIR}"
install -m 644 -p completions/jc_bash_completion.sh "${COMPDIR}/%{name}"


%check
./runtests.sh


%files
%doc README.md EXAMPLES.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*

%dir %{_datadir}/bash-completion/
%dir %{_datadir}/bash-completion/completions/
%{_datadir}/bash-completion/completions/*


%files -n python3-%{name}
%doc docs/
%license LICENSE.md
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.25.0-1
- initial build
